### Hierarchy

- unknown
  - XmrAddressEntry

## Index

### Constructors

- constructor

### Methods

- getAddressString
- getCoinLockedInMultiSig
- getContext
- getOfferId
- getSubaddressIndex
- serializeBinary
- setAddressString
- setCoinLockedInMultiSig
- setContext
- setOfferId
- setSubaddressIndex
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new XmrAddressEntry(): XmrAddressEntry

- Inherited from jspb.Message.constructor

  #### Returns XmrAddressEntry

## Methods

### getAddressString

- getAddressString(): string

- - Defined in src/protobuf/pb_pb.d.ts:6350

  #### Returns string

### getCoinLockedInMultiSig

- getCoinLockedInMultiSig(): number

- - Defined in src/protobuf/pb_pb.d.ts:6359

  #### Returns number

### getContext

- getContext(): XmrAddressEntry . Context

- - Defined in src/protobuf/pb_pb.d.ts:6356

  #### Returns XmrAddressEntry . Context

### getOfferId

- getOfferId(): string

- - Defined in src/protobuf/pb_pb.d.ts:6353

  #### Returns string

### getSubaddressIndex

- getSubaddressIndex(): number

- - Defined in src/protobuf/pb_pb.d.ts:6347

  #### Returns number

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6362

  #### Returns Uint8Array

### setAddressString

- setAddressString(value: string): XmrAddressEntry

- - Defined in src/protobuf/pb_pb.d.ts:6351

  #### Parameters

  - ##### value: string

  #### Returns XmrAddressEntry

### setCoinLockedInMultiSig

- setCoinLockedInMultiSig(value: number): XmrAddressEntry

- - Defined in src/protobuf/pb_pb.d.ts:6360

  #### Parameters

  - ##### value: number

  #### Returns XmrAddressEntry

### setContext

- setContext(value: XmrAddressEntry . Context ): XmrAddressEntry

- - Defined in src/protobuf/pb_pb.d.ts:6357

  #### Parameters

  - ##### value: XmrAddressEntry . Context

  #### Returns XmrAddressEntry

### setOfferId

- setOfferId(value: string): XmrAddressEntry

- - Defined in src/protobuf/pb_pb.d.ts:6354

  #### Parameters

  - ##### value: string

  #### Returns XmrAddressEntry

### setSubaddressIndex

- setSubaddressIndex(value: number): XmrAddressEntry

- - Defined in src/protobuf/pb_pb.d.ts:6348

  #### Parameters

  - ##### value: number

  #### Returns XmrAddressEntry

### toObject

- toObject(includeInstance?: boolean): XmrAddressEntry . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6363

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns XmrAddressEntry . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): XmrAddressEntry

- - Defined in src/protobuf/pb_pb.d.ts:6366

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns XmrAddressEntry

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: XmrAddressEntry, reader: BinaryReader): XmrAddressEntry

- - Defined in src/protobuf/pb_pb.d.ts:6367

  #### Parameters

  - ##### message: XmrAddressEntry

  - ##### reader: BinaryReader

  #### Returns XmrAddressEntry

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: XmrAddressEntry, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6365

  #### Parameters

  - ##### message: XmrAddressEntry

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: XmrAddressEntry ): XmrAddressEntry . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6364

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: XmrAddressEntry

  #### Returns XmrAddressEntry . AsObject

Generated using TypeDoc